> ## Documentation Index
> Fetch the complete documentation index at: https://docs.krea.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Luma UNI-1

> Reasoning image model for prompt-faithful text to image.

## Pricing

<Note>Fixed API prices in USD.</Note>

| Mode     | Reference Images |    Price |
| -------- | ---------------- | -------: |
| standard | 0                | \$0.0404 |
| standard | 1                | \$0.0434 |
| standard | 2                | \$0.0464 |
| standard | 3                | \$0.0494 |
| standard | 4                | \$0.0524 |
| standard | 5                | \$0.0554 |
| standard | 6                | \$0.0584 |
| standard | 7                | \$0.0614 |
| standard | 8                | \$0.0644 |
| standard | 9                | \$0.0674 |
| max      | 0                |   \$0.10 |
| max      | 1                |  \$0.103 |
| max      | 2                |  \$0.106 |
| max      | 3                |  \$0.109 |
| max      | 4                |  \$0.112 |
| max      | 5                |  \$0.115 |
| max      | 6                |  \$0.118 |
| max      | 7                |  \$0.121 |
| max      | 8                |  \$0.124 |
| max      | 9                |  \$0.127 |

<Accordion title="Deprecated request aliases">
  These aliases are accepted for compatibility only and are not shown in the request schema.

  | Deprecated     | Use instead     | Accepted until |
  | -------------- | --------------- | -------------- |
  | `outputFormat` | `output_format` | 2026-06-19     |
  | `webSearch`    | `web_search`    | 2026-06-19     |
  | `styleImages`  | `style_images`  | 2026-06-19     |
</Accordion>


## OpenAPI

````yaml https://api.krea.ai/openapi.json post /generate/image/luma/uni-1
openapi: 3.1.0
info:
  title: Krea API
  version: v1
servers:
  - url: https://api.krea.ai
    description: Krea API
security:
  - bearerAuth: []
tags:
  - name: General
    description: Core API operations including job management and billing information
  - name: Krea
    description: Krea-owned generation models including Krea 2
  - name: Assets
    description: >-
      Asset management endpoints for uploading and managing images, videos,
      audio files, and 3D models
  - name: Styles
    description: Style (LoRA) generation and management endpoints
  - name: Node Apps
    description: Executing custom node apps built in our nodes tool
  - name: Image
    description: Image generation endpoints
  - name: Image Enhance
    description: Image enhance endpoints
  - name: Video
    description: Video generation endpoints
paths:
  /generate/image/luma/uni-1:
    post:
      tags:
        - Image
      summary: Luma UNI-1
      description: Reasoning image model for prompt-faithful text to image.
      parameters:
        - name: X-Webhook-URL
          in: header
          required: false
          schema:
            type: string
            format: uri
          description: >-
            URL to receive a POST request when the job completes. The webhook
            will receive the job data including results.
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                prompt:
                  type: string
                  minLength: 1
                  maxLength: 6000
                width:
                  type: number
                  minimum: 512
                  maximum: 8192
                  default: 1024
                height:
                  type: number
                  minimum: 512
                  maximum: 8192
                  default: 1024
                mode:
                  type: string
                  enum:
                    - standard
                    - max
                  default: standard
                style:
                  type: string
                  enum:
                    - auto
                    - manga
                  default: auto
                output_format:
                  type:
                    - string
                    - 'null'
                  enum:
                    - png
                    - jpeg
                    - null
                web_search:
                  type: boolean
                  default: false
                style_images:
                  type: array
                  items:
                    type: object
                    properties:
                      strength:
                        type: number
                        minimum: -2
                        maximum: 2
                      url:
                        type: string
                        format: uri
                    required:
                      - strength
                  maxItems: 9
                  description: Image prompts to use for the generation
              required:
                - prompt
              additionalProperties: false
            example:
              prompt: Bedouin tents in Wadi Rum, weaved from desert tales.
      responses:
        '200':
          description: >-
            The resulting job data. This will be returned in a pending state
            until the job is completed. See
            [`/jobs/{id}`](#tag/default/get/jobs/{id}) for retrieving the
            results.
          content:
            application/json:
              schema:
                type: object
                properties:
                  job_id:
                    type: string
                    format: uuid
                  status:
                    type: string
                    enum:
                      - backlogged
                      - queued
                      - scheduled
                      - processing
                      - sampling
                      - intermediate-complete
                      - completed
                      - failed
                      - cancelled
                  created_at:
                    type: string
                    format: date-time
                  completed_at:
                    type: 'null'
                  result:
                    type: 'null'
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                    required:
                      - code
                required:
                  - job_id
                  - status
                  - created_at
                  - completed_at
                  - result
        '400':
          description: The request body is invalid.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
        '401':
          description: You are not authenticated.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
        '402':
          description: You have run out of credits.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
        '429':
          description: You have reached the maximum number of concurrent jobs.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
components:
  securitySchemes:
    bearerAuth:
      scheme: bearer
      bearerFormat: Bearer
      type: http

````